Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2
Class SandeshaModule

    java.lang.Object
      org.apache.sandesha2.SandeshaModule

All Implemented Interfaces:
  org.apache.axis2.modules.Module, org.apache.axis2.wsdl.codegen.extension.ModulePolicyExtension

    public class SandeshaModule

extends java.lang.Object
implements org.apache.axis2.modules.Module, org.apache.axis2.wsdl.codegen.extension.ModulePolicyExtension

The Module class of Sandesha2.

Constructor Summary
`SandeshaModule()`

Method Summary
`void` | `applyPolicy(org.apache.neethi.Policy policy, org.apache.axis2.description.AxisDescription axisDescription)`
`boolean` | `canSupportAssertion(org.apache.neethi.Assertion assertion)`
`void` | `engageNotify(org.apache.axis2.description.AxisDescription axisDescription)`
`org.apache.axis2.wsdl.codegen.extension.PolicyExtension` | `getPolicyExtension()`
`void` | `init(org.apache.axis2.context.ConfigurationContext configContext, org.apache.axis2.description.AxisModule module)`
`void` | `shutdown(org.apache.axis2.context.ConfigurationContext configurationContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SandeshaModule

    public SandeshaModule()

Method Detail

### init

    public void init(org.apache.axis2.context.ConfigurationContext configContext,
                     org.apache.axis2.description.AxisModule module)
              throws org.apache.axis2.AxisFault

  Specified by:
    `init` in interface `org.apache.axis2.modules.Module`
  Throws:
    `org.apache.axis2.AxisFault`

### engageNotify

    public void engageNotify(org.apache.axis2.description.AxisDescription axisDescription)
                      throws org.apache.axis2.AxisFault

  Specified by:
    `engageNotify` in interface `org.apache.axis2.modules.Module`
  Throws:
    `org.apache.axis2.AxisFault`

### getPolicyExtension

    public org.apache.axis2.wsdl.codegen.extension.PolicyExtension getPolicyExtension()

  Specified by:
    `getPolicyExtension` in interface `org.apache.axis2.wsdl.codegen.extension.ModulePolicyExtension`

### shutdown

    public void shutdown(org.apache.axis2.context.ConfigurationContext configurationContext)
                  throws org.apache.axis2.AxisFault

  Specified by:
    `shutdown` in interface `org.apache.axis2.modules.Module`
  Throws:
    `org.apache.axis2.AxisFault`

### applyPolicy

    public void applyPolicy(org.apache.neethi.Policy policy,
                            org.apache.axis2.description.AxisDescription axisDescription)

  Specified by:
    `applyPolicy` in interface `org.apache.axis2.modules.Module`

### canSupportAssertion

    public boolean canSupportAssertion(org.apache.neethi.Assertion assertion)

  Specified by:
    `canSupportAssertion` in interface `org.apache.axis2.modules.Module`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.